Version: 9.12.0
Home
gsketcher - Wrapper to help the creation of simple sketches

Data Structures

class  Sketcher3D
 An interface to build a 3D Sketcher step-by-step. More...
 
class  Sketcher2D
 An interface to build a 2D Sketcher step-by-step. More...
 
class  Polyline2D
 An interface to build a 2D polyline step-by-step. More...
 

Detailed Description

This module provides the user with a simple python API to realize various sketches from the GEOM text user interface.
Example:

import GEOM
from salome.geom import geomBuilder
geompy = geomBuilder.New()
# create a wire for sketcher
geomObj_1 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0)
# Create the sketch
sk = geompy.Sketcher2D()
sk.addPoint(0.000000, 0.000000)
sk.addSegmentAbsolute(50.000000, 50.000000)
sk.addSegmentPerpY(0.000000)
sk.addArcAbsolute(0.000000, 0.000000)
sk.close()
Sketch_1 = sk.wire(geomObj_1)
# add objects in the study
geompy.addToStudy( Sketch_1, 'Sketch_1' )
# update object browser
salome.sg.updateObjBrowser()
def New(instance=None)
Create a new geomBuilder instance.The geomBuilder class provides the Python interface to GEOM operati...
Definition: tmp/geomBuilder.py:8755


Additional examples can be found as unit tests in the source code.